Name:          xorriso
Version:       1.5.7
Release:       1mamba
Summary:       ISO 9660 Rock Ridge Filesystem Manipulator
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnu.org/software/xorriso/
Source:        https://www.gnu.org/software/xorriso/xorriso-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libbzip2-devel
BuildRequires: libreadline-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}
Requires(preun): %{__install_info}

%description
ISO 9660 Rock Ridge Filesystem Manipulator.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info xorrecord.info
%install_info %{name}-dd-target.info
%install_info %{name}-tcltk.info
%install_info %{name}.info
%install_info %{name}fs.info
exit 0

%preun
%uninstall_info xorrecord.info
%uninstall_info %{name}-dd-target.info
%uninstall_info %{name}-tcktl.info
%uninstall_info %{name}.info
%uninstall_info %{name}fs.info
exit 0

%files
%defattr(-,root,root)
%{_bindir}/osirrox
%{_bindir}/xorrecord
%{_bindir}/xorriso
%{_bindir}/xorriso-dd-target
%{_bindir}/xorriso-tcltk
%{_bindir}/xorrisofs
%{_infodir}/xorrecord.info*
%{_infodir}/xorriso-dd-target.info*
%{_infodir}/xorriso-tcltk.info*
%{_infodir}/xorriso.info*
%{_infodir}/xorrisofs.info*
%{_mandir}/man1/xorrecord.1*
%{_mandir}/man1/xorriso-dd-target.1*
%{_mandir}/man1/xorriso-tcltk.1*
%{_mandir}/man1/xorriso.1*
%{_mandir}/man1/xorrisofs.1*
%doc AUTHORS COPYING

%changelog
* Tue Aug 22 2023 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Sat May 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.4.pl02-1mamba
- package created using the webbuild interface
